Skip to main content
DELETE
/
api
/
v2
/
secret-rotations
/
mongodb-credentials
/
{rotationId}
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v2/secret-rotations/mongodb-credentials/{rotationId}
import requests

url = "https://us.infisical.com/api/v2/secret-rotations/mongodb-credentials/{rotationId}"

response = requests.delete(url)

print(response.text)
const options = {method: 'DELETE'};

fetch('https://us.infisical.com/api/v2/secret-rotations/mongodb-credentials/{rotationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "secretRotation": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "rotationInterval": 123,
    "rotationStatus": "<string>",
    "lastRotationAttemptedAt": "2023-11-07T05:31:56Z",
    "lastRotatedAt": "2023-11-07T05:31:56Z",
    "connection": {
      "app": "mongodb",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "environment": {
      "slug": "<string>",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "projectId": "<string>",
    "folder": {
      "id": "<string>",
      "path": "<string>"
    },
    "rotateAtUtc": {
      "hours": 11.5,
      "minutes": 29.5
    },
    "type": "mongodb-credentials",
    "parameters": {
      "username1": "<string>",
      "username2": "<string>"
    },
    "secretsMapping": {
      "username": "<string>",
      "password": "<string>"
    },
    "description": "<string>",
    "isAutoRotationEnabled": true,
    "activeIndex": 0,
    "lastRotationJobId": "<string>",
    "nextRotationAt": "2023-11-07T05:31:56Z",
    "isLastRotationManual": true,
    "lastRotationMessage": "<string>"
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Path Parameters

rotationId
string<uuid>
required

The ID of the MongoDB Credentials Rotation to be deleted.

Query Parameters

deleteSecrets
enum<string>

Whether the mapped secrets belonging to this rotation should be deleted.

Available options:
true,
false
revokeGeneratedCredentials
enum<string>

Whether the generated credentials associated with this rotation should be revoked.

Available options:
true,
false

Response

Default Response

secretRotation
object
required